

function [count StringForExcel]=  mMakeStringForXLSwrite(count,PDBOrganism,File,n,IncludeDecimalClasses,StringForExcel)        %subfunction was not successful

if abs(File.Pair(n).Class) < 14,
    if IncludeDecimalClasses == 1
        [LocalBase1, LocalBase2]=mGetBPOrderRight(File,n);
        count=count+1;
        StringForExcel(count,:)={PDBOrganism,LocalBase1,LocalBase2,mGetClassNameFromNumber(File.Pair(n).Class)};
    else
        if File.Pair(n).Class/floor(File.Pair(n).Class) == 1 %And only in that case, do print it
            [LocalBase1, LocalBase2]=mGetBPOrderRight(File,n);
            count=count+1;
            StringForExcel(count,:)={PDBOrganism,LocalBase1,LocalBase2,mGetClassNameFromNumber(File.Pair(n).Class)};
        end
    end
end